### Method

# Template Scope take

#### Declaration

    void
    tmpl_scope_take (
      TmplScope* self,
      const gchar* name,
      TmplSymbol* symbol
    )

#### Description

Sets the symbol named `name` to `symbol` in `scope`.

This differs from `tmpl_scope_set()` in that it takes ownership of `symbol`.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the symbol.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`symbol`

  Type: `TmplSymbol`

  A `TmplSymbol` or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.